<?php // Please do not edit this file. If you do, save as UTF-8 without BOM!

/* Copyright 2019 Martin Janecke <mouse@prlbr.de>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

// declare (strict_types = 1); // only during development

namespace prlbr\mouse;


function i18n (
	string $to,
	string $id,
	int $n = 0
):	string
{
	switch ($to):

	case '':
		return [
			'Search' => '', // leave empty
			'%1$d search results for <i>%2$s</i>' => '%1$d × <i>%2$s</i>',
		][$id] ?? $id;

	// German, translated by Martin Janecke
	case 'de':
		return [
			'Search' => 'Suchen',
			'%1$d search results for <i>%2$s</i>' => [
				'Kein Suchergebnis für <i>%2$s</i>',
				'Ein Suchergebnis für <i>%2$s</i>',
			][$n] ?? '%1$d Suchergebnisse für <i>%2$s</i>',
		][$id] ?? $id;

	// English, written by Martin Janecke
	case 'en':
		return [
			'Search' => 'Search',
			'%1$d search results for <i>%2$s</i>' => [
				'No search results for <i>%2$s</i>',
				'One search result for <i>%2$s</i>',
			][$n] ?? '%1$d search results for <i>%2$s</i>',
		][$id] ?? $id;

	default:
		if ($pos = strrpos ($to, '-')):
			return i18n (substr ($to, 0, $pos), $id, $n);
		else:
			return i18n ('', $id, $n);
		endif;

	endswitch;
}

// The End