<?php // Please do not edit this file. If you do, save as UTF-8 without BOM!

/* Copyright 2019, 2020 Martin Janecke <mouse@prlbr.de>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

/* This submodule displays a search form compatible with the main x-mouse
 * module. It redirects search requests to a page where the main module is
 * supposed to be invoked to do the search and present the results. Example use:
 *
 * [x-mouse/goto:Find it!]->/search
 */

// declare (strict_types = 1); // only during development

namespace prlbr\mouse;

require_once __DIR__ . '/../assets/functions.php';


/* Returnig a closure that returns the form instead of returning the form
 * directly enables the Aneamal translator to use this module multiple times
 * with a single include.
 */
return function (
	array $_
):	string
{
	// for backwards compatibility with Aneamal 27
	aneamal_v28_parameters ($_);

	// where the main module is supposed to be invoked in a page
	$target = $_['hrefs'][0];

	// ARIA label for the search button
	if (isset ($_['clue']) and $_['clue'] !== ''):
		$button_label = $_['clue'];
	else:
		require_once __DIR__ . '/../assets/i18n.php';
		$button_label = i18n ($_['lang'], 'Search');
	endif;

	return form ($target, $button_label);
};

// The End